﻿local bbs2util = require "bbs2util"

function data()
return {
	tracks = {
		{ name = "vehicle/br265/265_stand.wav", refDist = 20.0 },
		{ name = "vehicle/br265/gw_roll_n.wav", refDist = 20.0 },
		{ name = "vehicle/br265/265_slow.wav", refDist = 25.0 },		
		{ name = "vehicle/br265/265_last.wav", refDist = 25.0 },		
		{ name = "vehicle/br265/kurve.wav", refDist = 20.0 },
		{ name = "vehicle/br265/265_bremse.wav", refDist = 20.0 },

	},
	events =  {
		horn = { names = { "vehicle/br265/265_makro.wav" }, refDist = 25.0 },
		
	},

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 15.0	
		local axleRefWeight = 10.0
		
		return {
			tracks = {
			--stand	
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)+
									bbs2util.sampleCurve({ 
										{ .0, 1.0 },
										{ .1, 1.0 },
										{ .4, 0.0 },
										{ 1.0, 0.0 } }, input.power01),									
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.4 } }, input.power01)
				},

			--Roll
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .2, .35 },
									{ 1.0, 0.8 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.4 },
									{ 1.0, 1.4 } }, input.speed01)
				},
			
				
			--slow
{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .1, 0.0 },
									{ .25, 1.1 },
									{ .7, 1.1 },
									{ .9, 0.2 },
									{ 1.0, 0.1 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ .2, 1.0 },
									{ 1.0, 1.1 } }, input.power01)
				},

			--last
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .0 },
									{ .65, 0.0 },
									{ .9, 1.05 },
									{ 1.0, 1.15 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.power01)
									
				},
			
				bbs2util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbs2util.brake(input.speed, input.brakeDecel, 1.0),
			--	bbs2util.slow(input.speed, input.brakeDecel, 0.7),
				
			},
			events = {
						horn = { gain = 1.0, pitch = 1.0 },		
			}
		}
	end
}
end
